%define fw_version 5.41

Summary:	KDE Frameworks 5 application assets downloading support module
Name:		knewstuff
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kf5attica-devel >= %{fw_version}
BuildRequires:	kf5archive-devel >= %{fw_version}
BuildRequires:	kf5completion-devel >= %{fw_version}
BuildRequires:	kf5config-devel >= %{fw_version}
BuildRequires:	kf5coreaddons-devel >= %{fw_version}
BuildRequires:	kf5i18n-devel >= %{fw_version}
BuildRequires:	kf5iconthemes-devel >= %{fw_version}
BuildRequires:	kf5itemviews-devel >= %{fw_version}
BuildRequires:	kf5kio-devel >= %{fw_version}
BuildRequires:	kf5textwidgets-devel >= %{fw_version}
BuildRequires:	kf5widgetsaddons-devel >= %{fw_version}
BuildRequires:	kf5xmlgui-devel >= %{fw_version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 application assets downloading support module.

The KNewStuff library implements collaborative data sharing for applications.
It uses libattica to support the Open Collaboration Services specification.

%files
%{_kde5_datadir}/kf5/knewstuff/pics/thumb_frame.png
%dir %{_kde5_datadir}/kf5/kmoretools/presets-kmoretools/
%{_kde5_datadir}/kf5/kmoretools/presets-kmoretools/*
%{_kde5_sysconfdir}/xdg/knewstuff.categories

#----------------------------------------------------------------------------

%package i18n
Summary:	KNewStuff translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KNewStuff translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define qmlkf5newstuff %mklibname kf5newstuff-qml

%package -n %{qmlkf5newstuff}
Summary:	QML plugin for KDE Frameworks 5 KNewStuff
Group:		System/Libraries
Provides:	kf5newstuff-qml = %{EVRD}

%description -n %{qmlkf5newstuff}
QML plugin for KDE Frameworks 5 KNewStuff.

%files -n %{qmlkf5newstuff}
%dir %{_kde5_qmldir}/org/kde/newstuff/
%{_kde5_qmldir}/org/kde/newstuff/*

#----------------------------------------------------------------------------

%define kf5newstuff_major 5
%define libkf5newstuff %mklibname kf5newstuff %{kf5newstuff_major}

%package -n %{libkf5newstuff}
Summary:	KDE Frameworks 5 KNewStuff application assets downloading support library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n
Requires:	%{qmlkf5newstuff}

%description -n %{libkf5newstuff}
KDE Frameworks 5 application assets downloading support shared library.

%files -n %{libkf5newstuff}
%{_kde5_libdir}/libKF5NewStuff.so.%{kf5newstuff_major}*

#----------------------------------------------------------------------------

%define kf5newstuffcore_major 5
%define libkf5newstuffcore %mklibname kf5newstuffcore %{kf5newstuffcore_major}

%package -n %{libkf5newstuffcore}
Summary:	KDE Frameworks 5 KNewStuff application assets downloading support library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n
Requires:	%{qmlkf5newstuff}

%description -n %{libkf5newstuffcore}
KDE Frameworks 5 application assets downloading support shared library.

%files -n %{libkf5newstuffcore}
%{_kde5_libdir}/libKF5NewStuffCore.so.%{kf5newstuffcore_major}*

#----------------------------------------------------------------------------

%define devkf5newstuff %mklibname kf5newstuff -d

%package -n %{devkf5newstuff}
Summary:	Development files for KDE Frameworks assets downloading support module
Group:		Development/KDE and Qt
Requires:	%{libkf5newstuff} = %{EVRD}
Requires:	%{libkf5newstuffcore} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5newstuff-devel = %{version}

%description -n %{devkf5newstuff}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5newstuff}
%{_kde5_includedir}/KF5/KNewStuff3
%{_kde5_includedir}/KF5/knewstuff_version.h
%{_kde5_includedir}/KF5/knewstuffcore_version.h
%{_kde5_includedir}/KF5/knewstuffquick_version.h
%{_kde5_libdir}/cmake/KF5NewStuff
%{_kde5_libdir}/cmake/KF5NewStuffCore
%{_kde5_libdir}/cmake/KF5NewStuffQuick
%{_kde5_libdir}/libKF5NewStuff.so
%{_kde5_libdir}/libKF5NewStuffCore.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (1be9623) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (009b128) Update files
- (Andrey Bondrov: d8350e2) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (398eb84) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (a56b295) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.1-3
- (b796d85) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.1-2
- (7f017f1) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.1-1
- (70951de) Add KF5NewStuffCore shared library and QML plugin subpackages
- (Andrey Bondrov: fe4eb23) Build requires pkgconfig(Qt5Qml) and pkgconfig(Qt5Quick)
- (Andrey Bondrov: 7a8862e) BuildRequires should depend on frameworks version, not package version
- (Andrey Bondrov: d0b5102) New version 5.30.1

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (c2d28fd) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (cfc7d41) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (56ac9b7) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (e13a3d8) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (352c28b) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (90d58ff) MassBuild#1022: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (f732b07) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (4f26763) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (a9279af) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (237c948) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (1ccb991) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (f4f4af1) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (652996a) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (9957867) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (b4bca8a) New version 5.15.0

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (0f966ed) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (4de4657) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (345a4a9) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (d9884f3) New version 5.11.0


